Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/mail/p5-Mail-CClient/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- Makefile	7 Mar 2003 06:05:55 -0000	1.6
+++ Makefile	1 Jul 2003 13:48:43 -0000
@@ -6,10 +6,10 @@
 #
 
 PORTNAME=		CClient
-PORTVERSION=		1.1
+PORTVERSION=		1.8
 CATEGORIES=		mail perl5
 MASTER_SITES=		${MASTER_SITE_PERL_CPAN}
-MASTER_SITE_SUBDIR=	Mail
+MASTER_SITE_SUBDIR=	Mail/HDIAS
 PKGNAMEPREFIX=		p5-
 DISTNAME=		Mail-Cclient-${PORTVERSION}
 
@@ -19,10 +19,17 @@
 LIB_DEPENDS=		c-client4.8:${PORTSDIR}/mail/cclient
 
 PERL_CONFIGURE=		yes
-CONFIGURE_ARGS=		INC="-I${PREFIX}/include/c-client" \
-			LIBS="-L${PREFIX}/lib -lc-client4"
+CONFIGURE_ARGS=		--cclient_dir=${LOCALBASE} \
+		 	--with-shared_cclient \
+			--with-pam \
+			--with-cclient-includes=${LOCALBASE}/include/c-client
 
-MANPREFIX=		${PREFIX}/lib/perl5/${PERL_VERSION}
 MAN3=			Mail::Cclient.3
+
+post-patch:
+	@${PERL} -pi -e 's/-lc-client/-lc-client4/g;' \
+		     -e 's/"-lc"/"-L\$$CCLIENT_DIR\/lib "/g;' \
+		     -e 's/ -lpam_misc//g;' \
+		 ${WRKSRC}/Makefile.PL
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/mail/p5-Mail-CClient/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	20 May 2001 02:19:10 -0000	1.2
+++ distinfo	1 Jul 2003 13:48:43 -0000
@@ -1 +1 @@
-MD5 (Mail-Cclient-1.1.tar.gz) = 3966b181ec635de962e49b252f142d0c
+MD5 (Mail-Cclient-1.8.tar.gz) = 684166ae817f3509a1b8da98c25d84b7
Index: pkg-descr
===================================================================
RCS file: /home/ncvs/ports/mail/p5-Mail-CClient/pkg-descr,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 pkg-descr
--- pkg-descr	14 Jul 2000 09:39:55 -0000	1.1.1.1
+++ pkg-descr	1 Jul 2003 13:48:43 -0000
@@ -6,3 +6,5 @@
 
   -Kelly
    kbyanc@posi.net
+
+WWW: http://search.cpan.org/dist/Mail-Cclient/
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/mail/p5-Mail-CClient/pkg-plist,v
retrieving revision 1.3
diff -u -r1.3 pkg-plist
--- pkg-plist	20 May 2001 02:19:10 -0000	1.3
+++ pkg-plist	1 Jul 2003 13:48:43 -0000
@@ -1,7 +1,8 @@
-lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/Mail/Cclient.pm
-lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/auto/Mail/Cclient/Cclient.so
-lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/auto/Mail/Cclient/Cclient.bs
-lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/auto/Mail/Cclient/.packlist
-@dirrm lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/auto/Mail/Cclient
-@unexec rmdir %D/lib/perl5/site_perl/%%PERL_VER%%/%%PERL_ARCH%%/auto/Mail 2>/dev/null || true
-@unexec rmdir %D/lib/perl5/site_perl/%%PERL_VER%%/Mail 2>/dev/null || true
+%%SITE_PERL%%/%%PERL_ARCH%%/Mail/Cclient.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Mail/Cclient.pod
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/Cclient/.packlist
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/Cclient/Cclient.bs
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/Cclient/Cclient.so
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/Cclient
+@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail 2>/dev/null || true
+@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Mail 2>/dev/null || true
Index: files/patch-aa
===================================================================
RCS file: files/patch-aa
diff -N files/patch-aa
--- files/patch-aa	20 May 2001 02:19:10 -0000	1.3
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,51 +0,0 @@
---- Makefile.PL.orig	Mon Jun  7 19:59:14 1999
-+++ Makefile.PL	Thu May 10 06:53:52 2001
-@@ -1,45 +1,10 @@
- use ExtUtils::MakeMaker;
- 
--if (shift(@ARGV) =~ /CCLIENT_DIR=(.*)/) {
--    $CCLIENT_DIR = $1;
--} else {
--    die "You need to specify the CCLIENT_DIR directory--read README\n";
--}
--
--if (! -r "$CCLIENT_DIR/c-client.a") {
--    die "CCLIENT_DIR $CCLIENT_DIR does not contain c-client.a\n";
--}
--#
--# We want to turn Cclient.o (ours) plus the object files in the
--# $CCLIENT_DIR/c-client.a archive into a shared object. Simply
--# including both in the MakeMaker OBJECT list works fine for Linux
--# but under Digital UNIX, the combination of its ar and "ld -shared"
--# can't cope with simply "ar cr tmp.a Cclient.o .../c-client.a".
--# To get around that look at the contents of the c-client.a archive
--# and extract all .o files from it into the current directory. Then
--# we set OBJECT to be our Cclient.o plus all of those. Blech.
--#
--
--print "Examining archive file $CCLIENT_DIR/c-client.a...\n";
--chomp(@contents = `ar t $CCLIENT_DIR/c-client.a`);
--@objects = grep(/\.o$/, @contents);
--print "Extracting object files from archive: ", join(", ", @objects), "\n";
--system("ar", "x", "$CCLIENT_DIR/c-client.a", @objects);
--my $err = $? >> 8;
--if ($err) {
--    print "Extraction failed: ar returned exit code $err\n",
--	  "Please extract them manually into the current directory\n",
--	  "edit Makefile.PL to remove this section of code and then rerun\n",
--	  "    perl Makefile.PL\n";
--    exit 1;
--}
--print "Extraction was apparently successful\n";
--
- WriteMakefile(
-     NAME		=> "Mail::Cclient",
-     VERSION_FROM	=> "Cclient.pm",
--    INC			=> "-I$CCLIENT_DIR",
--    LIBS		=> ["-lc"],
--    OBJECT		=> "Cclient.o @objects"
-+    INC			=> "-I\${PREFIX}/include/c-client",
-+    LIBS		=> "-L\${PREFIX}/lib -lc-client4",
-+    OBJECT		=> "Cclient.o"
- );
- 
